import{s as fe,f as F,n as he,o as ge}from"../chunks/scheduler.389d799c.js";import{S as we,i as ve,g as s,s as a,r as B,A as _e,h as u,f as n,c as o,j as me,u as J,x as r,k as l,y as ye,a as i,v as K,d as Q,t as V,w as X}from"../chunks/index.8f81d18f.js";import{H as Z}from"../chunks/Heading.41733039.js";function Pe(ee){let p,I,E,M,d,k,c,te="You can <code>pause</code> &amp; <code>resume</code> endpoints to save cost and configurations. Please note that if your endpoint is in a <code>failed</code> state, you will need to create a new endpoint. To <code>pause</code>/<code>resume</code> your endpoint, navigate to the “overview” tab and click the button at top right corner, which will show “Pause endpoint” to pause, or “Resume endpoint” to reactivate the paused endpoint.",H,m,ne=`When pausing an endpoint the min &amp; max number of replicas will be set to 0. When resuming an endpoint the min &amp; max number of replicas will be set to 1. This allows you to programmatically pause and resume your endpoint by updating the “min_replicas” and “max_replicas” fields in the API.
Paused inference endpoints will have the following status: <code>PAUSED</code>. Paused endpoints will be NOT be billed until resumed. Pausing &amp; Resuming an endpoint is a great way to save costs when you don’t need your endpoint to be running. For example, you can easily pause your endpoint during the night or weekends. You should pause your endpoint when you don’t need it for the time being.`,R,f,ie="The url of your endpoint will remain the same, even if you pause and resume it. This means that you can pause your endpoint and resume it later without having to update your code.",A,h,L,g,ae="To pause an endpoint, navigate to the “overview” tab and click the button at top right corner, which says “Pause endpoint”.",q,w,oe,S,v,se="After clicking the button, you will be asked to confirm the action. Click “Pause {ENDPOINT-NAME}” to confirm.",D,_,ue,G,y,le="After that your replicas will be set to 0 and your endpoint will be paused. You can see the status change of your endpoint in the “overview” tab to <code>PAUSED</code>. If you do not see the <code>PAUSED</code> status make sure you’ve followed these instructions or contact us for help.",N,P,pe,U,b,Y,$,re="To resume an endpoint, navigate to the “overview” tab and click the button at top right corner showing “Resume endpoint”.",j,x,de,O,T,ce="Your endpoint will be resumed and the status will change to <code>Initalizing</code> and then to <code>Running</code>. Once your endpoint is running, you can start using it again and billing usage will incur.",z,C,W;return d=new Z({props:{title:"Pause and Resume your Endpoint",local:"pause-and-resume-your-endpoint",headingTag:"h1"}}),h=new Z({props:{title:"Pause an Inference Endpoint",local:"pause-an-inference-endpoint",headingTag:"h2"}}),b=new Z({props:{title:"Resume an Inference Endpoint",local:"resume-an-inference-endpoint",headingTag:"h2"}}),{c(){p=s("meta"),I=a(),E=s("p"),M=a(),B(d.$$.fragment),k=a(),c=s("p"),c.innerHTML=te,H=a(),m=s("p"),m.innerHTML=ne,R=a(),f=s("p"),f.textContent=ie,A=a(),B(h.$$.fragment),L=a(),g=s("p"),g.textContent=ae,q=a(),w=s("img"),S=a(),v=s("p"),v.textContent=se,D=a(),_=s("img"),G=a(),y=s("p"),y.innerHTML=le,N=a(),P=s("img"),U=a(),B(b.$$.fragment),Y=a(),$=s("p"),$.textContent=re,j=a(),x=s("img"),O=a(),T=s("p"),T.innerHTML=ce,z=a(),C=s("p"),this.h()},l(e){const t=_e("svelte-u9bgzb",document.head);p=u(t,"META",{name:!0,content:!0}),t.forEach(n),I=o(e),E=u(e,"P",{}),me(E).forEach(n),M=o(e),J(d.$$.fragment,e),k=o(e),c=u(e,"P",{"data-svelte-h":!0}),r(c)!=="svelte-gmva1w"&&(c.innerHTML=te),H=o(e),m=u(e,"P",{"data-svelte-h":!0}),r(m)!=="svelte-c9xuqc"&&(m.innerHTML=ne),R=o(e),f=u(e,"P",{"data-svelte-h":!0}),r(f)!=="svelte-due3m5"&&(f.textContent=ie),A=o(e),J(h.$$.fragment,e),L=o(e),g=u(e,"P",{"data-svelte-h":!0}),r(g)!=="svelte-1rdgjhd"&&(g.textContent=ae),q=o(e),w=u(e,"IMG",{src:!0,alt:!0}),S=o(e),v=u(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-2ahryr"&&(v.textContent=se),D=o(e),_=u(e,"IMG",{src:!0,alt:!0}),G=o(e),y=u(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-1nn6qq4"&&(y.innerHTML=le),N=o(e),P=u(e,"IMG",{src:!0,alt:!0}),U=o(e),J(b.$$.fragment,e),Y=o(e),$=u(e,"P",{"data-svelte-h":!0}),r($)!=="svelte-rsqkwb"&&($.textContent=re),j=o(e),x=u(e,"IMG",{src:!0,alt:!0}),O=o(e),T=u(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-7ju1n3"&&(T.innerHTML=ce),z=o(e),C=u(e,"P",{}),me(C).forEach(n),this.h()},h(){l(p,"name","hf:doc:metadata"),l(p,"content",be),F(w.src,oe="https://raw.githubusercontent.com/huggingface/hf-endpoints-documentation/main/assets/pause_endpoint.png")||l(w,"src",oe),l(w,"alt","Pause an Inference Endpoint"),F(_.src,ue="https://raw.githubusercontent.com/huggingface/hf-endpoints-documentation/main/assets/pause_endpoint_confirm.png")||l(_,"src",ue),l(_,"alt","Pause modal confirm Inference Endpoint"),F(P.src,pe="https://raw.githubusercontent.com/huggingface/hf-endpoints-documentation/main/assets/paused_endpoint.png")||l(P,"src",pe),l(P,"alt","Paused Inference Endpoint"),F(x.src,de="https://raw.githubusercontent.com/huggingface/hf-endpoints-documentation/main/assets/resume_endpoint.png")||l(x,"src",de),l(x,"alt","Resume Inference Endpoint")},m(e,t){ye(document.head,p),i(e,I,t),i(e,E,t),i(e,M,t),K(d,e,t),i(e,k,t),i(e,c,t),i(e,H,t),i(e,m,t),i(e,R,t),i(e,f,t),i(e,A,t),K(h,e,t),i(e,L,t),i(e,g,t),i(e,q,t),i(e,w,t),i(e,S,t),i(e,v,t),i(e,D,t),i(e,_,t),i(e,G,t),i(e,y,t),i(e,N,t),i(e,P,t),i(e,U,t),K(b,e,t),i(e,Y,t),i(e,$,t),i(e,j,t),i(e,x,t),i(e,O,t),i(e,T,t),i(e,z,t),i(e,C,t),W=!0},p:he,i(e){W||(Q(d.$$.fragment,e),Q(h.$$.fragment,e),Q(b.$$.fragment,e),W=!0)},o(e){V(d.$$.fragment,e),V(h.$$.fragment,e),V(b.$$.fragment,e),W=!1},d(e){e&&(n(I),n(E),n(M),n(k),n(c),n(H),n(m),n(R),n(f),n(A),n(L),n(g),n(q),n(w),n(S),n(v),n(D),n(_),n(G),n(y),n(N),n(P),n(U),n(Y),n($),n(j),n(x),n(O),n(T),n(z),n(C)),n(p),X(d,e),X(h,e),X(b,e)}}}const be='{"title":"Pause and Resume your Endpoint","local":"pause-and-resume-your-endpoint","sections":[{"title":"Pause an Inference Endpoint","local":"pause-an-inference-endpoint","sections":[],"depth":2},{"title":"Resume an Inference Endpoint","local":"resume-an-inference-endpoint","sections":[],"depth":2}],"depth":1}';function $e(ee){return ge(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ce extends we{constructor(p){super(),ve(this,p,$e,Pe,fe,{})}}export{Ce as component};
